Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2017-06-27 00:09:29 +0300
committerJunio C Hamano <gitster@pobox.com>2017-06-27 00:09:29 +0300
commit849b44cdf193908dfe1cadc731fb23019b53a211 (patch)
tree06c56c63d2ffb408db7682c44fedc7c49a3f3787 /git-stash.sh
parente629a7d28a405e48fae6b064a781a10e885159fc (diff)
parent90f64f1cf5fe20bbac7353028e23f28ceca61195 (diff)
Merge branch 'lb/status-stash-count'
"git status" learned to optionally give how many stash entries the user has in its output. * lb/status-stash-count: glossary: define 'stash entry' status: add optional stash count information stash: update documentation to use 'stash entry'
Diffstat (limited to 'git-stash.sh')
-rwxr-xr-xgit-stash.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/git-stash.sh b/git-stash.sh
index e7b85932d6..9b6c2da7b4 100755
--- a/git-stash.sh
+++ b/git-stash.sh
@@ -484,7 +484,7 @@ parse_flags_and_rev()
case $# in
0)
- have_stash || die "$(gettext "No stash found.")"
+ have_stash || die "$(gettext "No stash entries found.")"
set -- ${ref_stash}@{0}
;;
1)
@@ -576,7 +576,7 @@ apply_stash () {
GIT_INDEX_FILE="$TMPindex" git-read-tree "$u_tree" &&
GIT_INDEX_FILE="$TMPindex" git checkout-index --all &&
rm -f "$TMPindex" ||
- die "$(gettext "Could not restore untracked files from stash")"
+ die "$(gettext "Could not restore untracked files from stash entry")"
fi
eval "
@@ -630,7 +630,7 @@ pop_stash() {
drop_stash "$@"
else
status=$?
- say "$(gettext "The stash is kept in case you need it again.")"
+ say "$(gettext "The stash entry is kept in case you need it again.")"
exit $status
fi
}